type: log
paths:
{{ range $i, $path := .paths }}
 - {{$path}}
{{ end }}
exclude_files: [".gz$"]
tags: {{.tags | tojson}}
publisher_pipeline.disable_host: {{ inList .tags "forwarded" }}

json.keys_under_root: false

fields_under_root: true
fields:
  network.transport: tcp
  network.protocol: socks

processors:
  - rename:
      fields:
        - from: "json"
          to: "zeek.socks"

        - from: "zeek.socks.id.orig_h"
          to: "source.address"

        - from: "zeek.socks.id.orig_p"
          to: "source.port"

        - from: "zeek.socks.id.resp_h"
          to: "destination.address"

        - from: "zeek.socks.id.resp_p"
          to: "destination.port"

        - from: "zeek.socks.uid"
          to: "zeek.session_id"

        - from: "zeek.socks.request.name"
          to: "zeek.socks.request.host"

        - from: "zeek.socks.request_p"
          to: "zeek.socks.request.port"

        - from: "zeek.socks.bound_p"
          to: "zeek.socks.bound.port"

      ignore_missing: true
      fail_on_error: false
  - convert:
      fields:
        - {from: "zeek.session_id", to: "event.id"}
        - {from: "source.address", to: "source.ip", type: "ip"}
        - {from: "destination.address", to: "destination.ip", type: "ip"}
        - {from: "zeek.socks.user", to: "user.name"}
      ignore_missing: true
      fail_on_error: false
  - add_fields:
      target: event
      fields:
        kind: event
        category:
          - network
        type:
          - connection
          - protocol
  - community_id:
  - add_fields:
      target: ''
      fields:
        ecs.version: 1.9.0
